
QGIS Application - Bug report #20180

Tracing with Offset produces QGIS Crash

2018-10-22 12:41 PM - Alexander Barth

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: Digitising

Affected QGIS version:3.2.3 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 28001

Description

User Feedback

While erasing the offset value from the tracing tool the crash occurred.

I think it might be because with the 'x' button in the editfield sets the value to NULL and not 0.

'x' Button in editfield only appears when a value other then 0 is entered.

Report Details

Crash ID: 6bbda4f67aaca1d9fea8166454b5e16e692c3689

Stack Trace

QtSharedPointer::ExternalRefCountData::getAndRef :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QMenu::exec :

QToolButton::paintEvent :

QToolButton::showMenu :

QToolButton::mousePressEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :
TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.3-Bonn

QGIS code revision: commit:9b176802e5

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

Associated revisions

Revision 5c28693d - 2018-10-22 05:27 PM - Alessandro Pasotti 

Do not delete the clear action (and don't crash)

Fix #20180 - Tracing with Offset produces QGIS Crash

The crash was deep inside Qt and I couldn't really debug it,

the solution I'm proposing looks way too easy, but

apparently it just works.

Revision 7f10a3a4 - 2018-10-23 09:17 AM - Alessandro Pasotti 

Disable clear button in tracer widget to prevent a crash

Fix #20180

Not really a fix, but the other approach apparently

causes a regression on some platforms.

History

#1 - 2018-10-22 12:42 PM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2018-10-22 03:46 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#3 - 2018-10-22 05:33 PM - Alessandro Pasotti

- Pull Request or Patch supplied changed from No to Yes

- Status changed from Open to In Progress
PR https://github.com/qgis/QGIS/pull/8266

#4 - 2018-10-23 10:57 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|5c28693d4935c36d36585630a7a9487bc5820d9c.

#5 - 2018-10-23 03:11 PM - Alessandro Pasotti

I cannot say I'm really happy with the solution (which was to remove the clear button from this particular widget), please check the PR comments for some

more context.
